<?php

declare(strict_types=1);

/**
 * This file is part of the SpojeNet\AbraFlexi package.
 *
 * (c) 2019-2024 SpojeNet s.r.o. <http://spoje.net/>
 * (c) 2025 SpojeNetIT s.r.o. <http://spojenet.cz/>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Test\AbraFlexi;

use AbraFlexi\RO;

/**
 * Generated by PHPUnit_SkeletonGenerator on 2024-10-02 at 10:03:01.
 */
class ROTest extends \PHPUnit\Framework\TestCase
{
    /**
     * Example JSON.
     *
     * @var string json
     */
    public string $json = '{"winstrom":{"@version":"1.0","adresar":[{"id":"2574","kontakty":[{"id":"299"}]}]}}';

    /**
     * Example XML.
     *
     * @var string xml
     */
    public string $xml = <<<'EOD'
<?xml version="1.0" encoding="utf-8"?>

<winstrom version="1.0">
  <!-- Adresář -->
  <adresar>
    <!-- ID (celé číslo) - -->
    <id>2574</id>
    <kontakty>
      <!-- Kontakty -->
      <kontakt>
        <!-- ID (celé číslo) - -->
        <id>299</id>
      </kontakt>
    </kontakty>
  </adresar>
</winstrom>
EOD;
    protected RO $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     *
     * @covers \AbraFlexi\RO::__construct
     */
    protected function setUp(): void
    {
        $this->object = new RO();
        $this->object->prefix = '/';
        $this->object->debug = true;
        $this->object->reportRecipient = 'testreports@vitexsoftware.cz';
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown(): void
    {
    }

    //    /**
    //     * @covers \AbraFlexi\RO::__destruct
    //     *
    //     * @todo   Implement test__destruct().
    //     */
    //    public function testDestruct(): void
    //    {
    //        $this->assertEquals('', $this->object->__destruct());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::__toString
    //     *
    //     * @todo   Implement test__toString().
    //     */
    //    public function testToString(): void
    //    {
    //        $this->assertEquals('', $this->object->__toString());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::__wakeup
    //     *
    //     * @todo   Implement test__wakeup().
    //     */
    //    public function testWakeup(): void
    //    {
    //        $this->assertEquals('', $this->object->__wakeup());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::__sleep
    //     */
    //    public function testSleep(): void
    //    {
    //        $this->assertIsArray($this->object->__sleep());
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setUp
    //     */
    //    public function testsetUp(): void
    //    {
    //        $this->assertTrue($this->object->setUp());
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setObjectName
    //     */
    //    public function testsetObjectName(): void
    //    {
    //        $this->assertEquals('AbraFlexi\RO', $this->object->setObjectName());
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::companyUrlToOptions
    //     *
    //     * @todo   Implement testcompanyUrlToOptions().
    //     */
    //    public function testcompanyUrlToOptions(): void
    //    {
    //        $this->assertEquals('', $this->object->companyUrlToOptions());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getConnectionOptions
    //     *
    //     * @todo   Implement testgetConnectionOptions().
    //     */
    //    public function testgetConnectionOptions(): void
    //    {
    //        $this->assertEquals('', $this->object->getConnectionOptions());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::configToEnv
    //     *
    //     * @todo   Implement testconfigToEnv().
    //     */
    //    public function testconfigToEnv(): void
    //    {
    //        $this->assertEquals('', $this->object->configToEnv());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::curlInit
    //     *
    //     * @todo   Implement testcurlInit().
    //     */
    //    public function testcurlInit(): void
    //    {
    //        $this->assertEquals('', $this->object->curlInit());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::processInit
    //     *
    //     * @todo   Implement testprocessInit().
    //     */
    //    public function testprocessInit(): void
    //    {
    //        $this->assertEquals('', $this->object->processInit());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setDataValue
    //     *
    //     * @todo   Implement testsetDataValue().
    //     */
    //    public function testsetDataValue(): void
    //    {
    //        $this->assertEquals('', $this->object->setDataValue());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::stripBody
    //     *
    //     * @todo   Implement teststripBody().
    //     */
    //    public function teststripBody(): void
    //    {
    //        $this->assertEquals('', $this->object->stripBody());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::dateToFlexiDate
    //     *
    //     * @todo   Implement testdateToFlexiDate().
    //     */
    //    public function testdateToFlexiDate(): void
    //    {
    //        $this->assertEquals('', $this->object->dateToFlexiDate());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::dateToFlexiDateTime
    //     *
    //     * @todo   Implement testdateToFlexiDateTime().
    //     */
    //    public function testdateToFlexiDateTime(): void
    //    {
    //        $this->assertEquals('', $this->object->dateToFlexiDateTime());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setPrefix
    //     *
    //     * @todo   Implement testsetPrefix().
    //     */
    //    public function testsetPrefix(): void
    //    {
    //        $this->assertEquals('', $this->object->setPrefix());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setFormat
    //     *
    //     * @todo   Implement testsetFormat().
    //     */
    //    public function testsetFormat(): void
    //    {
    //        $this->assertEquals('', $this->object->setFormat());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setEvidence
    //     *
    //     * @todo   Implement testsetEvidence().
    //     */
    //    public function testsetEvidence(): void
    //    {
    //        $this->assertEquals('', $this->object->setEvidence());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getEvidence
    //     *
    //     * @todo   Implement testgetEvidence().
    //     */
    //    public function testgetEvidence(): void
    //    {
    //        $this->assertEquals('', $this->object->getEvidence());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setCompany
    //     *
    //     * @todo   Implement testsetCompany().
    //     */
    //    public function testsetCompany(): void
    //    {
    //        $this->assertEquals('', $this->object->setCompany());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getCompany
    //     *
    //     * @todo   Implement testgetCompany().
    //     */
    //    public function testgetCompany(): void
    //    {
    //        $this->assertEquals('', $this->object->getCompany());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getResponseEvidence
    //     *
    //     * @todo   Implement testgetResponseEvidence().
    //     */
    //    public function testgetResponseEvidence(): void
    //    {
    //        $this->assertEquals('', $this->object->getResponseEvidence());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::object2array
    //     *
    //     * @todo   Implement testobject2array().
    //     */
    //    public function testobject2array(): void
    //    {
    //        $this->assertEquals('', $this->object->object2array());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getEvidenceURL
    //     *
    //     * @todo   Implement testgetEvidenceURL().
    //     */
    //    public function testgetEvidenceURL(): void
    //    {
    //        $this->assertEquals('', $this->object->getEvidenceURL());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::evidenceUrlWithSuffix
    //     *
    //     * @todo   Implement testevidenceUrlWithSuffix().
    //     */
    //    public function testevidenceUrlWithSuffix(): void
    //    {
    //        $this->assertEquals('', $this->object->evidenceUrlWithSuffix());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::updateApiURL
    //     *
    //     * @todo   Implement testupdateApiURL().
    //     */
    //    public function testupdateApiURL(): void
    //    {
    //        $this->assertEquals('', $this->object->updateApiURL());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::addDefaultUrlParams
    //     *
    //     * @todo   Implement testaddDefaultUrlParams().
    //     */
    //    public function testaddDefaultUrlParams(): void
    //    {
    //        $this->assertEquals('', $this->object->addDefaultUrlParams());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::performRequest
    //     *
    //     * @todo   Implement testperformRequest().
    //     */
    //    public function testperformRequest(): void
    //    {
    //        $this->assertEquals('', $this->object->performRequest());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::rawResponseToArray
    //     *
    //     * @todo   Implement testrawResponseToArray().
    //     */
    //    public function testrawResponseToArray(): void
    //    {
    //        $this->assertEquals('', $this->object->rawResponseToArray());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::fixResponseTypes
    //     *
    //     * @todo   Implement testfixResponseTypes().
    //     */
    //    public function testfixResponseTypes(): void
    //    {
    //        $this->assertEquals('', $this->object->fixResponseTypes());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::fixRecordTypes
    //     *
    //     * @todo   Implement testfixRecordTypes().
    //     */
    //    public function testfixRecordTypes(): void
    //    {
    //        $this->assertEquals('', $this->object->fixRecordTypes());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::rawJsonToArray
    //     *
    //     * @todo   Implement testrawJsonToArray().
    //     */
    //    public function testrawJsonToArray(): void
    //    {
    //        $this->assertEquals('', $this->object->rawJsonToArray());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::rawXmlToArray
    //     *
    //     * @todo   Implement testrawXmlToArray().
    //     */
    //    public function testrawXmlToArray(): void
    //    {
    //        $this->assertEquals('', $this->object->rawXmlToArray());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::parseResponse
    //     *
    //     * @todo   Implement testparseResponse().
    //     */
    //    public function testparseResponse(): void
    //    {
    //        $this->assertEquals('', $this->object->parseResponse());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::parseError
    //     *
    //     * @todo   Implement testparseError().
    //     */
    //    public function testparseError(): void
    //    {
    //        $this->assertEquals('', $this->object->parseError());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::doCurlRequest
    //     *
    //     * @todo   Implement testdoCurlRequest().
    //     */
    //    public function testdoCurlRequest(): void
    //    {
    //        $this->assertEquals('', $this->object->doCurlRequest());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::success
    //     *
    //     * @todo   Implement testsuccess().
    //     */
    //    public function testsuccess(): void
    //    {
    //        $this->assertEquals('', $this->object->success());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::contentTypeToResponseFormat
    //     *
    //     * @todo   Implement testcontentTypeToResponseFormat().
    //     */
    //    public function testcontentTypeToResponseFormat(): void
    //    {
    //        $this->assertEquals('', $this->object->contentTypeToResponseFormat());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setAction
    //     *
    //     * @todo   Implement testsetAction().
    //     */
    //    public function testsetAction(): void
    //    {
    //        $this->assertEquals('', $this->object->setAction());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::disconnect
    //     *
    //     * @todo   Implement testdisconnect().
    //     */
    //    public function testdisconnect(): void
    //    {
    //        $this->assertEquals('', $this->object->disconnect());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::connectionReset
    //     *
    //     * @todo   Implement testconnectionReset().
    //     */
    //    public function testconnectionReset(): void
    //    {
    //        $this->assertEquals('', $this->object->connectionReset());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getFlexiRow
    //     *
    //     * @todo   Implement testgetFlexiRow().
    //     */
    //    public function testgetFlexiRow(): void
    //    {
    //        $this->assertEquals('', $this->object->getFlexiRow());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::extractUrlParams
    //     *
    //     * @todo   Implement testextractUrlParams().
    //     */
    //    public function testextractUrlParams(): void
    //    {
    //        $this->assertEquals('', $this->object->extractUrlParams());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::urlEncode
    //     *
    //     * @todo   Implement testurlEncode().
    //     */
    //    public function testurlEncode(): void
    //    {
    //        $this->assertEquals('', $this->object->urlEncode());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getFlexiData
    //     *
    //     * @todo   Implement testgetFlexiData().
    //     */
    //    public function testgetFlexiData(): void
    //    {
    //        $this->assertEquals('', $this->object->getFlexiData());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::loadFromAbraFlexi
    //     *
    //     * @todo   Implement testloadFromAbraFlexi().
    //     */
    //    public function testloadFromAbraFlexi(): void
    //    {
    //        $this->assertEquals('', $this->object->loadFromAbraFlexi());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::reload
    //     *
    //     * @todo   Implement testreload().
    //     */
    //    public function testreload(): void
    //    {
    //        $this->assertEquals('', $this->object->reload());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setFilter
    //     *
    //     * @todo   Implement testsetFilter().
    //     */
    //    public function testsetFilter(): void
    //    {
    //        $this->assertEquals('', $this->object->setFilter());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getJsonizedData
    //     *
    //     * @todo   Implement testgetJsonizedData().
    //     */
    //    public function testgetJsonizedData(): void
    //    {
    //        $this->assertEquals('', $this->object->getJsonizedData());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getDataForJSON
    //     *
    //     * @todo   Implement testgetDataForJSON().
    //     */
    //    public function testgetDataForJSON(): void
    //    {
    //        $this->assertEquals('', $this->object->getDataForJSON());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::join
    //     *
    //     * @todo   Implement testjoin().
    //     */
    //    public function testjoin(): void
    //    {
    //        $this->assertEquals('', $this->object->join());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::urlizeId
    //     *
    //     * @todo   Implement testurlizeId().
    //     */
    //    public function testurlizeId(): void
    //    {
    //        $this->assertEquals('', $this->object->urlizeId());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::idExists
    //     *
    //     * @todo   Implement testidExists().
    //     */
    //    public function testidExists(): void
    //    {
    //        $this->assertEquals('', $this->object->idExists());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::recordExists
    //     *
    //     * @todo   Implement testrecordExists().
    //     */
    //    public function testrecordExists(): void
    //    {
    //        $this->assertEquals('', $this->object->recordExists());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getAllFromAbraFlexi
    //     *
    //     * @todo   Implement testgetAllFromAbraFlexi().
    //     */
    //    public function testgetAllFromAbraFlexi(): void
    //    {
    //        $this->assertEquals('', $this->object->getAllFromAbraFlexi());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getColumnsFromAbraFlexi
    //     *
    //     * @todo   Implement testgetColumnsFromAbraFlexi().
    //     */
    //    public function testgetColumnsFromAbraFlexi(): void
    //    {
    //        $this->assertEquals('', $this->object->getColumnsFromAbraFlexi());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getKod
    //     *
    //     * @todo   Implement testgetKod().
    //     */
    //    public function testgetKod(): void
    //    {
    //        $this->assertEquals('', $this->object->getKod());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::saveDebugFiles
    //     *
    //     * @todo   Implement testsaveDebugFiles().
    //     */
    //    public function testsaveDebugFiles(): void
    //    {
    //        $this->assertEquals('', $this->object->saveDebugFiles());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setPostFields
    //     *
    //     * @todo   Implement testsetPostFields().
    //     */
    //    public function testsetPostFields(): void
    //    {
    //        $this->assertEquals('', $this->object->setPostFields());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getPostFields
    //     *
    //     * @todo   Implement testgetPostFields().
    //     */
    //    public function testgetPostFields(): void
    //    {
    //        $this->assertEquals('', $this->object->getPostFields());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::flexiIN
    //     *
    //     * @todo   Implement testflexiIN().
    //     */
    //    public function testflexiIN(): void
    //    {
    //        $this->assertEquals('', $this->object->flexiIN());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::flexiUrl
    //     *
    //     * @todo   Implement testflexiUrl().
    //     */
    //    public function testflexiUrl(): void
    //    {
    //        $this->assertEquals('', $this->object->flexiUrl());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getRecordID
    //     *
    //     * @todo   Implement testgetRecordID().
    //     */
    //    public function testgetRecordID(): void
    //    {
    //        $this->assertEquals('', $this->object->getRecordID());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getRecordCode
    //     *
    //     * @todo   Implement testgetRecordCode().
    //     */
    //    public function testgetRecordCode(): void
    //    {
    //        $this->assertEquals('', $this->object->getRecordCode());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getRecordIdent
    //     *
    //     * @todo   Implement testgetRecordIdent().
    //     */
    //    public function testgetRecordIdent(): void
    //    {
    //        $this->assertEquals('', $this->object->getRecordIdent());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::evidenceToClassName
    //     *
    //     * @todo   Implement testevidenceToClassName().
    //     */
    //    public function testevidenceToClassName(): void
    //    {
    //        $this->assertEquals('', $this->object->evidenceToClassName());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getFirstRecordID
    //     *
    //     * @todo   Implement testgetFirstRecordID().
    //     */
    //    public function testgetFirstRecordID(): void
    //    {
    //        $this->assertEquals('', $this->object->getFirstRecordID());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getNextRecordID
    //     *
    //     * @todo   Implement testgetNextRecordID().
    //     */
    //    public function testgetNextRecordID(): void
    //    {
    //        $this->assertEquals('', $this->object->getNextRecordID());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getPrevRecordID
    //     *
    //     * @todo   Implement testgetPrevRecordID().
    //     */
    //    public function testgetPrevRecordID(): void
    //    {
    //        $this->assertEquals('', $this->object->getPrevRecordID());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getExternalID
    //     *
    //     * @todo   Implement testgetExternalID().
    //     */
    //    public function testgetExternalID(): void
    //    {
    //        $this->assertEquals('', $this->object->getExternalID());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getExternalIDs
    //     *
    //     * @todo   Implement testgetExternalIDs().
    //     */
    //    public function testgetExternalIDs(): void
    //    {
    //        $this->assertEquals('', $this->object->getExternalIDs());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getGlobalVersion
    //     *
    //     * @todo   Implement testgetGlobalVersion().
    //     */
    //    public function testgetGlobalVersion(): void
    //    {
    //        $this->assertEquals('', $this->object->getGlobalVersion());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getApiURL
    //     *
    //     * @todo   Implement testgetApiURL().
    //     */
    //    public function testgetApiURL(): void
    //    {
    //        $this->assertEquals('', $this->object->getApiURL());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getResponseFormat
    //     *
    //     * @todo   Implement testgetResponseFormat().
    //     */
    //    public function testgetResponseFormat(): void
    //    {
    //        $this->assertEquals('', $this->object->getResponseFormat());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::unifyResponseFormat
    //     *
    //     * @todo   Implement testunifyResponseFormat().
    //     */
    //    public function testunifyResponseFormat(): void
    //    {
    //        $this->assertEquals('', $this->object->unifyResponseFormat());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getOfflineColumnsInfo
    //     *
    //     * @todo   Implement testgetOfflineColumnsInfo().
    //     */
    //    public function testgetOfflineColumnsInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getOfflineColumnsInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getOnlineColumnsInfo
    //     *
    //     * @todo   Implement testgetOnlineColumnsInfo().
    //     */
    //    public function testgetOnlineColumnsInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getOnlineColumnsInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::updateColumnsInfo
    //     *
    //     * @todo   Implement testupdateColumnsInfo().
    //     */
    //    public function testupdateColumnsInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->updateColumnsInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getColumnsInfo
    //     *
    //     * @todo   Implement testgetColumnsInfo().
    //     */
    //    public function testgetColumnsInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getColumnsInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getColumnInfo
    //     *
    //     * @todo   Implement testgetColumnInfo().
    //     */
    //    public function testgetColumnInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getColumnInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getActionsInfo
    //     *
    //     * @todo   Implement testgetActionsInfo().
    //     */
    //    public function testgetActionsInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getActionsInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getRelationsInfo
    //     *
    //     * @todo   Implement testgetRelationsInfo().
    //     */
    //    public function testgetRelationsInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getRelationsInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getEvidenceInfo
    //     *
    //     * @todo   Implement testgetEvidenceInfo().
    //     */
    //    public function testgetEvidenceInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getEvidenceInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getEvidenceName
    //     *
    //     * @todo   Implement testgetEvidenceName().
    //     */
    //    public function testgetEvidenceName(): void
    //    {
    //        $this->assertEquals('', $this->object->getEvidenceName());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::saveResponseToFile
    //     *
    //     * @todo   Implement testsaveResponseToFile().
    //     */
    //    public function testsaveResponseToFile(): void
    //    {
    //        $this->assertEquals('', $this->object->saveResponseToFile());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getVazby
    //     *
    //     * @todo   Implement testgetVazby().
    //     */
    //    public function testgetVazby(): void
    //    {
    //        $this->assertEquals('', $this->object->getVazby());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getAbraFlexiURL
    //     *
    //     * @todo   Implement testgetAbraFlexiURL().
    //     */
    //    public function testgetAbraFlexiURL(): void
    //    {
    //        $this->assertEquals('', $this->object->getAbraFlexiURL());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setMyKey
    //     *
    //     * @todo   Implement testsetMyKey().
    //     */
    //    public function testsetMyKey(): void
    //    {
    //        $this->assertEquals('', $this->object->setMyKey());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::ignore404
    //     *
    //     * @todo   Implement testignore404().
    //     */
    //    public function testignore404(): void
    //    {
    //        $this->assertEquals('', $this->object->ignore404());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::sendByMail
    //     *
    //     * @todo   Implement testsendByMail().
    //     */
    //    public function testsendByMail(): void
    //    {
    //        $this->assertEquals('', $this->object->sendByMail());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::flexiDateToDateTime
    //     *
    //     * @todo   Implement testflexiDateToDateTime().
    //     */
    //    public function testflexiDateToDateTime(): void
    //    {
    //        $this->assertEquals('', $this->object->flexiDateToDateTime());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::flexiDateTimeToDateTime
    //     *
    //     * @todo   Implement testflexiDateTimeToDateTime().
    //     */
    //    public function testflexiDateTimeToDateTime(): void
    //    {
    //        $this->assertEquals('', $this->object->flexiDateTimeToDateTime());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getInFormat
    //     *
    //     * @todo   Implement testgetInFormat().
    //     */
    //    public function testgetInFormat(): void
    //    {
    //        $this->assertEquals('', $this->object->getInFormat());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::downloadInFormat
    //     *
    //     * @todo   Implement testdownloadInFormat().
    //     */
    //    public function testdownloadInFormat(): void
    //    {
    //        $this->assertEquals('', $this->object->downloadInFormat());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::takeData
    //     *
    //     * @todo   Implement testtakeData().
    //     */
    //    public function testtakeData(): void
    //    {
    //        $this->assertEquals('', $this->object->takeData());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getReportsInfo
    //     *
    //     * @todo   Implement testgetReportsInfo().
    //     */
    //    public function testgetReportsInfo(): void
    //    {
    //        $this->assertEquals('', $this->object->getReportsInfo());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::requestAuthSessionID
    //     *
    //     * @todo   Implement testrequestAuthSessionID().
    //     */
    //    public function testrequestAuthSessionID(): void
    //    {
    //        $this->assertEquals('', $this->object->requestAuthSessionID());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::login
    //     *
    //     * @todo   Implement testlogin().
    //     */
    //    public function testlogin(): void
    //    {
    //        $this->assertEquals('', $this->object->login());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::logout
    //     *
    //     * @todo   Implement testlogout().
    //     */
    //    public function testlogout(): void
    //    {
    //        $this->assertEquals('', $this->object->logout());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::error500Reporter
    //     *
    //     * @todo   Implement testerror500Reporter().
    //     */
    //    public function testerror500Reporter(): void
    //    {
    //        $this->assertEquals('', $this->object->error500Reporter());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::code
    //     *
    //     * @todo   Implement testcode().
    //     */
    //    public function testcode(): void
    //    {
    //        $this->assertEquals('', $this->object->code());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::uncode
    //     *
    //     * @todo   Implement testuncode().
    //     */
    //    public function testuncode(): void
    //    {
    //        $this->assertEquals('', $this->object->uncode());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::arrayCleanUP
    //     *
    //     * @todo   Implement testarrayCleanUP().
    //     */
    //    public function testarrayCleanUP(): void
    //    {
    //        $this->assertEquals('', $this->object->arrayCleanUP());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::logBanner
    //     *
    //     * @todo   Implement testlogBanner().
    //     */
    //    public function testlogBanner(): void
    //    {
    //        $this->assertEquals('', $this->object->logBanner());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getLastOperationType
    //     *
    //     * @todo   Implement testgetLastOperationType().
    //     */
    //    public function testgetLastOperationType(): void
    //    {
    //        $this->assertEquals('', $this->object->getLastOperationType());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getErrors
    //     *
    //     * @todo   Implement testgetErrors().
    //     */
    //    public function testgetErrors(): void
    //    {
    //        $this->assertEquals('', $this->object->getErrors());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getMyKey
    //     *
    //     * @todo   Implement testgetMyKey().
    //     */
    //    public function testgetMyKey(): void
    //    {
    //        $this->assertEquals('', $this->object->getMyKey());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::getKeyColumn
    //     */
    //    public function testgetKeyColumn(): void
    //    {
    //        $this->assertEquals('id', $this->object->getKeyColumn());
    //    }
    //
    //    /**
    //     * @covers \AbraFlexi\RO::setKeyColumn
    //     *
    //     * @todo   Implement testsetKeyColumn().
    //     */
    //    public function testsetKeyColumn(): void
    //    {
    //        $this->assertEquals('', $this->object->setKeyColumn());
    //        // Remove the following lines when you implement this test.
    //        $this->markTestIncomplete('This test has not been implemented yet.');
    //    }
}
